From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libmediaart/
Date: Sun, 19 Mar 2017 17:04:19 +0000 (UTC) [thread overview]
Message-ID: <1489942512.bfc92aea3aba956bbe46f5eb0e45eae5f0f05d5f.leio@gentoo> (raw)
commit: bfc92aea3aba956bbe46f5eb0e45eae5f0f05d5f
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 16:54:52 2017 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 16:55:12 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfc92aea
media-libs/libmediaart: bump to 1.9.1
Package-Manager: Portage-2.3.4, Repoman-2.3.1
media-libs/libmediaart/Manifest | 1 +
media-libs/libmediaart/libmediaart-1.9.1.ebuild | 73 +++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/media-libs/libmediaart/Manifest b/media-libs/libmediaart/Manifest
index b3b181e214e..e6a73b18d03 100644
--- a/media-libs/libmediaart/Manifest
+++ b/media-libs/libmediaart/Manifest
@@ -1,2 +1,3 @@
DIST libmediaart-0.7.0.tar.xz 5811244 SHA256 3a9dffcad862aed7c0921579b93080d694b8a66f3676bfee8037867f653a1cd3 SHA512 94ca38ca2ec2bdd7f3a6f39c7f658053d8c46caba8bad97d004663da027c0308a305ce791b33af3d07e3fe8647a967b1ee1c6f808bbe1b4839844aa10cb0891a WHIRLPOOL 781237cff0511b937408f8f3cf72b336c32b84ec38f08d598e2eba56c89ce2b76deafb8705d41e5bc73f2f39833966dbd67f62bcb28e67108499d6d1bb72897b
DIST libmediaart-1.9.0.tar.xz 5814844 SHA256 94668adb29d4dc3115b0fd105942ebd5ca6f5f9dbb2afa8a191a73a747dd506f SHA512 fcfdad1d62710a39ea21daf23b13eb0b6d64a521f359153bb79247bae8e91fde3d879f807ed2528f3476425f5214cae755b117b4d06d78ee3af41bcc9a3b3ab4 WHIRLPOOL a78cf905853873d5f778b7ae157b2b260a55e3b07ff59d93fa7f95efb53f2b2adb918bb1a5eecc8a66e6d59ee172e9dea04bbadca4bdc20766d710127b1fef79
+DIST libmediaart-1.9.1.tar.xz 5826128 SHA256 5b14aa4e0cc84eaec57b6cb28f39092d503fdaecf36d5d165fac37583b7fe949 SHA512 1ba43d3501d4775984967960c24bf217bcedd075e1716a2f54266817ae2a93eed119035f385025e34ba83b58ec10e544bbde9c2ad328a3de00c5c80b35524222 WHIRLPOOL e2420acaeb6ca31bc55c02cc52b3baf10ac8ea797eb92f9843031753b10326505c107d97597a93a422fb78543cf4dcf3fbd586deeb65051058c139287a1d3aad
diff --git a/media-libs/libmediaart/libmediaart-1.9.1.ebuild b/media-libs/libmediaart/libmediaart-1.9.1.ebuild
new file mode 100644
index 00000000000..e27f18dc941
--- /dev/null
+++ b/media-libs/libmediaart/libmediaart-1.9.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.16"
+
+inherit autotools flag-o-matic gnome2 vala virtualx
+
+DESCRIPTION="Manages, extracts and handles media art caches"
+HOMEPAGE="https://github.com/GNOME/libmediaart"
+
+LICENSE="LGPL-2.1+"
+SLOT="2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="gtk +introspection qt5 vala"
+REQUIRED_USE="
+ ?? ( gtk qt5 )
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.38.0:2
+ gtk? ( >=x11-libs/gdk-pixbuf-2.12:2 )
+ introspection? ( >=dev-libs/gobject-introspection-1.30:= )
+ qt5? ( dev-qt/qtgui:5 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/gobject-introspection-common
+ >=dev-util/gtk-doc-am-1.8
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ # Make doc parallel installable
+ cd "${S}"/docs/reference/${PN} || die
+ sed -e "s/\(DOC_MODULE.*=\).*/\1${PN}-${SLOT}/" \
+ -e "s/\(DOC_MAIN_SGML_FILE.*=\).*/\1${PN}-docs-${SLOT}.sgml/" \
+ -i Makefile.am Makefile.in || die
+ sed -e "s/\(<book.*name=\"\)libmediaart/\1${PN}-${SLOT}/" \
+ -i html/libmediaart.devhelp2 || die
+ mv libmediaart-docs{,-${SLOT}}.sgml || die
+ mv libmediaart-overrides{,-${SLOT}}.txt || die
+ mv libmediaart-sections{,-${SLOT}}.txt || die
+ mv html/libmediaart{,-${SLOT}}.devhelp2 || die
+ cd "${S}" || die
+
+ eautoreconf
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ if use qt5 ; then
+ local myconf="--with-qt-version=5"
+ append-cxxflags -std=c++11
+ fi
+
+ gnome2_src_configure \
+ --enable-unit-tests \
+ $(use_enable gtk gdkpixbuf) \
+ $(use_enable introspection) \
+ $(use_enable qt5 qt) \
+ $(use_enable vala) \
+ ${myconf}
+}
+
+src_test() {
+ dbus-launch virtx emake check #513502
+}
next reply other threads:[~2017-03-19 17:04 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-19 17:04 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-07-27 5:46 [gentoo-commits] repo/gentoo:master commit in: media-libs/libmediaart/ WANG Xuerui
2022-10-31 2:56 Matt Turner
2022-10-29 19:18 Matt Turner
2022-07-18 23:41 Sam James
2022-07-06 1:24 Sam James
2022-07-02 20:47 Sam James
2022-06-01 13:56 Matt Turner
2022-05-28 5:45 Sam James
2022-05-28 1:27 Sam James
2022-05-28 1:20 Sam James
2022-03-27 0:00 Matt Turner
2021-08-27 15:19 Yixun Lan
2021-08-01 18:27 Sam James
2021-03-04 0:23 Sam James
2019-02-17 16:21 Mart Raudsepp
2017-12-20 21:02 Mart Raudsepp
2017-12-16 14:04 Tobias Klausmann
2017-09-28 12:06 Michael Palimaka
2017-08-16 22:31 Gilles Dartiguelongue
2017-07-14 13:57 Alexis Ballier
2017-02-15 20:38 Mart Raudsepp
2016-10-27 21:45 Patrice Clement
2016-07-31 8:54 Pacho Ramos
2015-09-07 16:24 Mikle Kolyada
2015-09-06 7:41 Pacho Ramos
2015-09-06 7:39 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1489942512.bfc92aea3aba956bbe46f5eb0e45eae5f0f05d5f.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox